Search for Food by GTIN
Searches for a singular food item based on a gtin string. Nutrient units are fixed per nutrient. See unit reference: https://newtrition-data.com/data-reference/units/
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Gtin number for the food item search
Header Parameters
Section titled “Header Parameters”Context ID of the end user (used for analytics and weighting). If not provided, defaults to client ID.
Responses
Section titled “ Responses ”Matching food item
object
object
object
object
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
Example
{ "data": { "processed_variants": [ { "big7": { "carbohydrates": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "energy": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "fat": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "protein": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "salt": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "saturated_fatty_acids": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "sugar": { "amount": 225.5, "label": "Proteine", "unit": "g" } }, "processing": "raw" } ], "serving_sizes": [ { "amount": 120, "label": "Stück", "type": "piece", "unit": "g" } ], "type": "generic_single_food" }}Headers
Section titled “Headers”Maximum requests per minute
Requests remaining in current window
Unix timestamp when rate limit resets
Requests used in current window
Missing gtin query parameter, invalid gtin format
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Unauthorized
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Rate limit exceeded
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Headers
Section titled “Headers”Maximum requests per minute
Requests remaining in current window
Unix timestamp when rate limit resets
Requests used in current window
Seconds to wait before retrying
Internal Server Error
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}